<?php

class d3_oxutilsview_heidelpay extends d3_oxutilsview_heidelpay_parent
{
    /**
     * @param smarty $oSmarty
     *
     * @return null|void
     */
    protected function _fillCommonSmartyProperties($oSmarty)
    {
        if (version_compare('4.8.0', $this->getConfig()->getVersion(), '<=')) {
            return parent::_fillCommonSmartyProperties($oSmarty);
        }

        parent::_fillCommonSmartyProperties($oSmarty);

        $oSmarty->plugins_dir[] = oxRegistry::getConfig()
                ->getActiveView()
                ->getViewConfig()
                ->getModulePath('d3heidelpay') . 'core/smarty/plugins';

        return null;
    }
}